SelectClause (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class SelectClause

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.SelectExpressionList
                              org.hibernate.hql.internal.ast.tree.SelectClause

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode

    public class SelectClause

extends SelectExpressionList

Represents the list of expressions in a SELECT clause.

See Also:
  Serialized Form

Field Summary
`static boolean` | `VERSION2_SQL`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SelectClause()`

Method Summary
`AggregatedSelectExpression` | `getAggregatedSelectExpression()`
`List` | `getCollectionFromElements()`
`String[][]` | `getColumnNames()` The column alias names being used in the generated SQL.
`int` | `getColumnNamesStartPosition(int i)`
`protected antlr.collections.AST` | `getFirstSelectExpression()` Returns the first select expression node that should be considered when building the array of select expressions.
`List` | `getFromElementsForLoad()` FromElements which need to be accounted for in the load phase (either for return or for fetch).
`String[]` | `getQueryReturnAliases()` The HQL aliases, or generated aliases
`Type[]` | `getQueryReturnTypes()` The types actually being returned from this query at the "object level".
`void` | `initializeDerivedSelectClause(FromClause fromClause)` Prepares a derived (i.e., not explicitly defined in the query) select clause.
`void` | `initializeExplicitSelectClause(FromClause fromClause)` Prepares an explicitly defined select clause.
`boolean` | `isDistinct()`
`boolean` | `isScalarSelect()` Does this SelectClause represent a scalar query

Methods inherited from class org.hibernate.hql.internal.ast.tree.SelectExpressionList
`collectSelectExpressions`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION2_SQL

    public static boolean VERSION2_SQL

Constructor Detail

### SelectClause

    public SelectClause()

Method Detail

### isScalarSelect

    public boolean isScalarSelect()

  Does this SelectClause represent a scalar query

  Returns:
    True if this is a scalara select clause; false otherwise.

### isDistinct

    public boolean isDistinct()

### getFromElementsForLoad

    public List getFromElementsForLoad()

  FromElements which need to be accounted for in the load phase (either for return or for fetch).

  Returns:
    List of appropriate FromElements.

### getQueryReturnTypes

    public Type[] getQueryReturnTypes()

  The types actually being returned from this query at the "object level".

  Returns:
    The query return types.

### getQueryReturnAliases

    public String[] getQueryReturnAliases()

  The HQL aliases, or generated aliases

  Returns:
    the aliases

### getColumnNames

    public String[][] getColumnNames()

  The column alias names being used in the generated SQL.

  Returns:
    The SQL column aliases.

### getAggregatedSelectExpression

    public AggregatedSelectExpression getAggregatedSelectExpression()

### initializeExplicitSelectClause

    public void initializeExplicitSelectClause(FromClause fromClause)
                                        throws antlr.SemanticException

  Prepares an explicitly defined select clause.

  Parameters:
    `fromClause` - The from clause linked to this select clause.
  Throws:
    `antlr.SemanticException` - indicates a semntic issue with the explicit select clause.

### getColumnNamesStartPosition

    public int getColumnNamesStartPosition(int i)

### initializeDerivedSelectClause

    public void initializeDerivedSelectClause(FromClause fromClause)
                                       throws antlr.SemanticException

  Prepares a derived (i.e., not explicitly defined in the query) select clause.

  Parameters:
    `fromClause` - The from clause to which this select clause is linked.
  Throws:
    `antlr.SemanticException`

### getFirstSelectExpression

    protected antlr.collections.AST getFirstSelectExpression()

  Description copied from class: `SelectExpressionList`
  Returns the first select expression node that should be considered when building the array of select expressions.

  Specified by:
    `getFirstSelectExpression` in class `SelectExpressionList`
  Returns:
    the first select expression node that should be considered when building the array of select expressions

### getCollectionFromElements

    public List getCollectionFromElements()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.